From 1eff7f88d283838373286c70bb009b42d4791e65 Mon Sep 17 00:00:00 2001
From: Maxim Orlov <m.orlov@postgrespro.ru>
Date: Tue, 27 Dec 2022 17:45:48 +0300
Subject: [PATCH 1/2] Force inline of get_xid_status

---
 contrib/amcheck/verify_heapam.c | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/contrib/amcheck/verify_heapam.c b/contrib/amcheck/verify_heapam.c
index b72a5c96d12..d51f50f8c1d 100644
--- a/contrib/amcheck/verify_heapam.c
+++ b/contrib/amcheck/verify_heapam.c
@@ -173,7 +173,7 @@ static XidBoundsViolation check_mxid_in_range(MultiXactId mxid,
 											  HeapCheckContext *ctx);
 static XidBoundsViolation check_mxid_valid_in_rel(MultiXactId mxid,
 												  HeapCheckContext *ctx);
-static XidBoundsViolation get_xid_status(TransactionId xid,
+static inline XidBoundsViolation get_xid_status(TransactionId xid,
 										 HeapCheckContext *ctx,
 										 XidCommitStatus *status);
 
@@ -1679,7 +1679,7 @@ check_mxid_valid_in_rel(MultiXactId mxid, HeapCheckContext *ctx)
  * appears to be valid in this relation, the status argument will be set with
  * the commit status of the transaction ID.
  */
-static XidBoundsViolation
+static inline XidBoundsViolation
 get_xid_status(TransactionId xid, HeapCheckContext *ctx,
 			   XidCommitStatus *status)
 {
-- 
2.34.1

